import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API
// 登录方法
export function login(username, password, code, uuid) {
	const data = {
		username,
		password,
		code,
		uuid
	}
	return request({
		url: baseUrl + '/login',
		headers: {
			isToken: false
		},
		method: 'post',
		data: data
	})
}

// 注册方法
export function register(data) {
	return request({
		url: baseUrl + '/register',
		headers: {
			isToken: false
		},
		method: 'post',
		data: data
	})
}

export function getSuppliers(data) {
	return request({
		url: baseUrl + '/snms/getSupplierListByOrgName/' + data,
		method: 'get'
	})
}

// 获取用户详细信息
export function getInfo() {
	return request({
		url: baseUrl + '/getInfo',
		method: 'get'
	})
}

// 退出方法
export function logout() {
	return request({
		url: baseUrl + '/logout',
		method: 'post'
	})
}

// 获取验证码
export function getCodeImg() {
	return request({
		url: baseUrl + '/captchaImage',
		headers: {
			isToken: false
		},
		method: 'get',
		timeout: 20000
	})
}
